cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

Google Maps Widget in Thingworx 8.3.4

SOLVED
Highlighted
Amethyst

Google Maps Widget in Thingworx 8.3.4

Good day All,

 

I am having difficulties with getting the Google Maps widget to work in Thingworx 8.3.4. From the extension documentation I must use the Google Maps version 3.0.3 (for Thingworx versions 8.2.8+). A prerequisite for this it seems from the support documentation and the Google Maps guide on the developers portal (https://developer.thingworx.com/en/resources/guides/google-map-widget-how/configure-google-maps-widg...) is to add a "Required string to connect with Google for Google widgets" under the PlatformSubsystem. In Thingworx 8.4.0+ it seems to be available, but for version 8.3.4 there is no such property to add this String field and then the Google Maps extension does not work.

 

I tried then reverting back to the previous version of the Google Maps widget (3.0.1) and I added my API key to the metadata.xml file as previously done and described here (https://www.ptc.com/en/support/article?n=CS188314&posno=1&q=google%20extension&DocumentType=Article&...) but I am still faced with an error message that says:

ERROR - Google maps connection String is not present
ERROR - Not able to instantiate google

 

Any ideas of how to get a working Google Maps widget in Thingworx 8.3.4?

 

Thanks,

Kind regards,

Tags (2)
1 ACCEPTED SOLUTION

Accepted Solutions

Re: Google Maps Widget in Thingworx 8.3.4

This is a known issue, to be fixed in next patch release. For now you can use the other version of Google Maps and follow the applicable instructions.

View solution in original post

2 REPLIES 2

Re: Google Maps Widget in Thingworx 8.3.4

This is a known issue, to be fixed in next patch release. For now you can use the other version of Google Maps and follow the applicable instructions.

View solution in original post

Re: Google Maps Widget in Thingworx 8.3.4

Hi @posipova,

 

Thank you for your response. As in the second part of my post I did try reverting back to the old version but it is still not working and in the debug gives the error messages as mentioned above.

 

I did follow the instructions as far as I know and I have enabled it in previous versions of Thingworx. 

 

Do you know of dependencies that stays behind on the server after the newer version of the extension was uploaded and removed? I did do a system reboot but the problem persisted.

 

Do you know if there is a version of the GoogleMaps widget that actually works on Thingworx version 8.3.4?

 

Thanks for the assistance.

Announcements

Thingworx Navigate content has a new home! Click here to access the new Thingworx Navigate forum! ______________________________